Bill
GET
22 endpoints
/api/v202202/bill/{billId}/udf/{udfId}/download
DownloadBillCustomFieldFileV202202
Download file for a bill custom field
/api/v3/bill/exportProfile
ExportBillProfileV3
Retrieves the text of a standard EnergyCAP bill export ini file for AP, GL and Payment purposes.
Payment details will be included in the profile if workflow settings for the bill export are configured to include payment details.
/api/v3/account/{accountId}/billHistory
GetAccountBillHistoryV3
Retrieves bill history for an account
/api/v3/bill/bodyline
GetAllBillsBodylinesV3
Retrieves all bill's bodylines
/api/v3/bill/{billId}/billaccountmeter/actual
GetBillAccountMeterActualByBillIdV3
Retrieves bill account meter record for a specific billId
/api/v3/bill/{billId}/billaccountmeter/calendarized
GetBillAccountMeterCalendarizedByBillIdV3
Retrieves bill account meter calendarized record for a specific billId
/api/v3/bill/{billId}/billaccountmeter/normalized
GetBillAccountMeterNormalizedByBillIdV3
Retrieves bill account meter normalized record for a specific billId
/api/v3/bill/billaccountmeter/actual
GetBillAccountMetersActualV3
Retrieves bill account meter records
/api/v3/bill/billaccountmeter/calendarized
GetBillAccountMetersCalendarizedV3
Retrieves bill account meter calendarized records
/api/v3/bill/billaccountmeter/normalized
GetBillAccountMetersNormalizedV3
Retrieves bill account meter normalized records
/api/v3/bill/billaccountmeter/statistics
GetBillAccountMetersStatisticsV3
Retrieves bill account meter statistics records
/api/v3/bill/{billId}/billaccountmeter/statistics
GetBillAccountMeterStatisticsByBillIdV3
Retrieves bill account meter statistics record for a specific billId
/api/v202208/bill/{billId}/bodyline
GetBillBodylinesV202208
Retrieves one bill's bodylines
/api/v3/bill/{billId}/bodyline
Deprecated
GetBillBodylinesV3
Retrieves one bill's bodylines
/api/v202202/bill/{billId}/udf
GetBillCustomFieldsV202202
Get custom field values for a bill
/api/v3/bill/{billId}/billEntry
GetBillEntryDataByBillIdV3
Retrieves all data necessary to load the bill entry screen
/api/v3/account/{accountId}/billEntry
GetBillEntryDataV3
Retrieves all data necessary to load the bill entry screen
/api/v3/bill/{billId}/billHistory
GetBillHistoryV3
Retrieves bill history from starting at the billId billing period
/api/v202406/bill/billLineTypeMapping
GetBillLineTypeMappingsV202406
Retrieves a list of bill line type mappings
/api/v202504/bill/{billId}/paymentEvent
GetBillPaymentEventsV202504
Retrieves the payment events for a bill
/api/v3/bill
GetBillsV3
Retrieves an array of bills. The array of bills can be filtered by a number of criteria. See the filter property for more details
/api/v3/bill/{billId}
GetBillV3
Retrieves one bill
POST
6 endpoints
/api/v3/bill/delete
BillActionDeleteV3
Delete given billIDs
/api/v3/bill/split
BillActionSplitV3
Run the bill split processor on the given list of bills.
Optional note can be provided.
Optional batch settings can be provided that will allow custom batchcode and bill headers for the destination bills
/api/v202504/bill/paymentEvent
CreateBillPaymentEventV202504
Persist an payment event for several bills
/api/v3/bill
CreateBillV3
Create a new bill
/api/v202405/bill/export/json
ExportBillsAsJsonV202405
Retrieves a JSON array of bill details.
/api/v202506/bill/{billId}/billImage
UploadBillImageV202506
Upload a file representing a bill image.
The bill image file extension must match the settings in system data 'webbillimageext'.
PUT
22 endpoints
/api/v3/bill/approve
BillActionApproveV3
Update approved flag for the given billIDs
/api/v3/bill/exporthold
BillActionExportHoldV3
Update export hold flag for the given billIDs
/api/v3/bill/billHeaders
BillActionUpdateHeadersV3
Update all headers for a given list of bills
If a new begin date or end date is being set, bills that would have end dates on or before their begin date will not be updated
If the user does not have permission to edit exported or approved bills, those bills will not be updated
Bill audits won't be fired
/api/v3/bill/void
BillActionVoidV3
Update void flag for the given billIDs
/api/v202108/bill/billPaymentDetailsFile
BillPaymentDetailsFileV202108
For each bill in the import file, update the bill payment details.
/api/v202108/bill/billPaymentDetails
Deprecated
BillPaymentDetailsV202108
For each record in the request body, update the bill payment details.
/api/v202401/bill/billPaymentDetails
BillPaymentDetailsV202401
For each record in the request body, update the bill payment details.
/api/v3/bill/cleanBill/{billId}
CleanABillV3
Cleans a single bill. The dirty flag of the bill is not taken into account.
/api/v3/bill/cleanBill
CleanDirtyBillsV3
Cleans all dirty bills, and any bills created outside of version 7.
/api/v202104/bill/distributeAccountCharges
DistributeAccountChargesToMetersV202104
For each bill in the request body which has account-level charges, distribute these account charges amongst the meters on the bill.
This is done proportionally by meter use or cost, depending on the split basis.
Maximum of 10000 bills can be processed at one time.
/api/v202202/bill/{billId}/udf
EditBillCustomFieldsV202202
Edit the custom field values on a bill
/api/v3/bill/{billId}
EditBillV3
Edit an existing bill
/api/v3/bill/export
ExportBillsV3
Retrieves text of a standard EnergyCAP bill export file for AP, GL and payment purposes.
Maximum of 10000 bills can be processed at one time.
Only bills with the following conditions are included in the export file:
1) approved bills (if the approval system is enabled in workflow settings)
2) bill is in a closed batch (if after batch or after batch approval is set in the workflow settings)
3) bill is not held for export
4) bill is not void
5) bill is within the user's topmost setting.
6) bill in not already exported
/api/v3/bill/possibleDestinationAccounts
GetPossibleDestinationAccountsV3
Retrieves a list of accounts that contain meters of ALL of the commodities represented by the given Bills
/api/v202507/bill/batch/{batchId}
MoveBatchV202507
Moves the set of bills to the specified batch
The bills being moved could be in an open, pending or closed batch
The specified batch should be an open or pending batch
All the bills being moved should be in the same batch
Moving from a pending to an open will cause the bills to get un-voided
Moving from an open/closed to a pending will cause the bills to get voided
If bills were in a closed batch, and downstream processes had already run, those processes will not get reversed
/api/v3/bill/moveBills
MoveBillsToAccountV3
Moves the list of given bills to the specified destination account and meters. Each source Meter will be matched with
a corresponding destination Meter based on commodity.
/api/v3/bill/customAction
ProcessBillCustomActionV3
Fires a custom bill action. Custom bill actions are setup as webhooks
/api/v3/bill/reverse
Deprecated
ReverseBillsV3
Creates reversal bills for the given bill ids
/api/v202510/bill/reverse
ReverseBillsWithMultipleOpenBatchOptionsV202510
Creates reversal bills for the given bill ids considering multiple open batch options.
/api/v3/bill/accrualExclusion
SetBillAccrualExclusionV3
Excludes or undoes exclusion of bills from accruals
/api/v3/bill/unexport/{billExportGuid}
UnexportBillsByGuidV3
Marks one or more bills as unexported. The bills to be unexported are selected based on the guid passed in.
The guid is generated when bills are exported via the bill export end point, and the guid is returned in the header of the response in a field named Ec-Guid.
/api/v3/bill/unexport
UnexportBillsV3
Marks one or more bills as unexported.